nn.pp.rccore

## Class UsbProfile

- java.lang.Object
- - nn.pp.rccore.UsbProfile

- All Implemented Interfaces:
    IUsbProfile

      public class UsbProfile
      extends java.lang.Object
      implements IUsbProfile

  This is the data structure to store UsbProfiles.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsbProfile(int id, java.lang.String name, java.lang.String description, boolean selected)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDescription()` Get a more detailled description of the USB profile
    `int` | `getId()` Get the numerical identifier of the USB profile
    `java.lang.String` | `getName()` Get the name of the USB profile
    `int` | `hashCode()`
    `boolean` | `isSelected()` Is the USB profile in the list of selected profiles?
    `void` | `setDescription(java.lang.String description)`
    `void` | `setId(int id)`
    `void` | `setName(java.lang.String name)`
    `void` | `setSelected(boolean selected)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UsbProfile

          public UsbProfile(int id,
                            java.lang.String name,
                            java.lang.String description,
                            boolean selected)

  - ### Method Detail

    - #### getId

          public int getId()

      Description copied from interface: `IUsbProfile`
      Get the numerical identifier of the USB profile
      Specified by:
        `getId` in interface `IUsbProfile`
      Returns:
        the numerical identifier of the USB profile

    - #### setId

          public void setId(int id)

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `IUsbProfile`
      Get the name of the USB profile
      Specified by:
        `getName` in interface `IUsbProfile`
      Returns:
        the name of the USB profile

    - #### setName

          public void setName(java.lang.String name)

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `IUsbProfile`
      Get a more detailled description of the USB profile
      Specified by:
        `getDescription` in interface `IUsbProfile`
      Returns:
        a more detailled description of the USB profile

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### isSelected

          public boolean isSelected()

      Description copied from interface: `IUsbProfile`

      Is the USB profile in the list of selected profiles?

      The user can add a number of USB profiles into a list of "selected" profiles, which may be displayed in the GUI with higher priority or at a more prominent location.

      Specified by:
        `isSelected` in interface `IUsbProfile`
      Returns:
        true if the USB profile is a selected profile, false otherwise

    - #### setSelected

          public void setSelected(boolean selected)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2025 Raritan Inc. All Rights Reserved.